#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_addAsset
 * Author: J. Schmidt
 * 
 * Description:
 * Adds an asset to an organization's inventory
 *
 * Arguments:
 * 0: _assetType - Type of asset (vehicle, building, etc.) <STRING>
 * 1: _className - Class name of the asset <STRING>
 *
 * Return Value:
 * Success <BOOLEAN>
 */

params [["_assetType", "", [""]], ["_className", "", [""]]];

if (_assetType == "" || _className == "") exitWith { TRACE_2("Invalid parameters for adding asset",_assetType,_className); nil };

private _store = call FUNC(verifyOrgStore);
private _assetId = _store call ["addAsset", [_assetType, _className]];

if (_assetId != "") then {
    TRACE_2("Asset added successfully",_assetType,_className);
} else {
    TRACE_2("Failed to add asset",_assetType,_className);
};

_assetId