#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_addFunds
 * Author: J. Schmidt
 * 
 * Description:
 * Adds funds to an organization's account
 *
 * Arguments:
 * 0: _amount - Amount to add (can be negative for withdrawals) <NUMBER>
 *
 * Return Value:
 * New funds amount <NUMBER>
 */

params [["_amount", 0, [0]]];

private _store = call FUNC(verifyOrgStore);
private _result = _store call ["updateFunds", [_amount]];

if (_result) then {
    TRACE_1("Funds updated successfully",_amount);
} else {
    TRACE_1("Failed to update funds",_amount);
};

_result