#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_addMember
 * Author: J. Schmidt
 * 
 * Description:
 * Adds a member to an organization
 *
 * Arguments:
 * 0: _uid - Target player UID <STRING>
 * 1: _name - Target player name <STRING>
 *
 * Return Value:
 * Success <BOOL>
 */

params [["_uid", "", [""]], ["_name", "", [""]]];

if (_uid == "" || _name == "") exitWith { TRACE_2("Invalid parameters for organization invitation",_uid,_name); false };

private _store = call FUNC(verifyOrgStore);
private _result = _store call ["addMember", [_uid, _name]];

if (_result) then {
    TRACE_2("Member added successfully",_uid,_name);
} else {
    TRACE_2("Failed to add member",_uid,_name);
};

_result