#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_addReputation
 * Author: J. Schmidt
 * 
 * Description:
 * Adds reputation to an organization
 *
 * Arguments:
 * 0: _amount - Amount of reputation to add (can be negative) <NUMBER>
 *
 * Return Value:
 * New reputation amount <NUMBER>
 */

params [["_amount", 0, [0]]];

private _store = call FUNC(verifyOrgStore);
private _result = _store call ["updateReputation", [_amount]];

if (_result) then {
    TRACE_1("Reputation updated successfully",_amount);
} else {
    TRACE_1("Failed to update reputation",_amount);
};

_result