#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_removeAsset
 * Author: J. Schmidt
 * 
 * Description:
 * Removes an asset from an organization's inventory
 *
 * Arguments:
 * 0: _assetType - Type of asset (vehicle, building, etc.) <STRING>
 * 1: _assetId - Unique identifier of the asset <STRING>
 *
 * Return Value:
 * Success <BOOLEAN>
 */

params [["_assetType", "", [""]], ["_assetId", "", [""]]];

if (_assetType isEqualTo "" || _assetId isEqualTo "") exitWith { TRACE_2("Invalid parameters for removing asset",_assetType,_assetId); createHashMap };

private _store = call FUNC(verifyOrgStore);
private _result = _store call ["removeAsset", [_assetType, _assetId]];

if (_result) then {
    TRACE_1("Asset removed successfully",_assetId);
} else {
    TRACE_1("Failed to remove asset",_assetId);
};

_result